function [x, clim] = annave(dat, clim, plusorminus);
%
%   [x, clim] = annave(y);
%
%   x = matrix with annual average removed
%   y = input matrix
%   clim = climatology
%
n = ndims(dat);

szdat = size(dat);
dat = reshape(dat, szdat(1), prod(szdat(2:n)));

[tmax,ngrid]=size(dat);

%  Get climatology
if nargin < 2; 
  plusorminus=-1;
  for m=1:12
    clim(m,:)=nanmean(dat(m:12:(tmax),:));
  end
end;

%  Remove climatology from each time step
x=zeros(tmax,ngrid);
for m=1:tmax;
  l=rem(m-1,12)+1;
  x(m,:)=dat(m,:)+plusorminus*clim(l,:);
end

%  Put data back into output format
x = reshape(x, szdat);
clim = reshape(clim, [12 szdat(2:n)]);
